Loading...
Searching...
No Matches
rostlab::cxx_passwd Struct Reference

`#include <cxxpwd.h>`

## Public Member Functions

| cxx_passwd ()
| cxx_passwd (const std::string &__pw_name, const std::string &__pw_passwd, uid_t __pw_uid, gid_t __pw_gid, const std::string &__pw_gecos, const std::string &__pw_dir, const std::string &__pw_shell)

## Public Attributes

std::string | pw_name
std::string | pw_passwd
uid_t | pw_uid
gid_t | pw_gid
std::string | pw_gecos
std::string | pw_dir
std::string | pw_shell

## Detailed Description

Definition at line 32 of file cxxpwd.h.

## Constructor & Destructor Documentation

## cxx_passwd() [1/2]

rostlab::cxx_passwd::cxx_passwd | ( |  | ) |

inline

Definition at line 42 of file cxxpwd.h.

## cxx_passwd() [2/2]

rostlab::cxx_passwd::cxx_passwd | ( | const std::string & | __pw_name,
|  | const std::string & | __pw_passwd,
|  | uid_t | __pw_uid,
|  | gid_t | __pw_gid,
|  | const std::string & | __pw_gecos,
|  | const std::string & | __pw_dir,
|  | const std::string & | __pw_shell )

inline

Definition at line 43 of file cxxpwd.h.

## Member Data Documentation

## pw_dir

std::string rostlab::cxx_passwd::pw_dir

Definition at line 39 of file cxxpwd.h.

## pw_gecos

std::string rostlab::cxx_passwd::pw_gecos

Definition at line 38 of file cxxpwd.h.

## pw_gid

gid_t rostlab::cxx_passwd::pw_gid

Definition at line 37 of file cxxpwd.h.

## pw_name

std::string rostlab::cxx_passwd::pw_name

Definition at line 34 of file cxxpwd.h.

## pw_passwd

std::string rostlab::cxx_passwd::pw_passwd

Definition at line 35 of file cxxpwd.h.

## pw_shell

std::string rostlab::cxx_passwd::pw_shell

Definition at line 40 of file cxxpwd.h.

## pw_uid

uid_t rostlab::cxx_passwd::pw_uid

Definition at line 36 of file cxxpwd.h.

The documentation for this struct was generated from the following file:

- rostlab/cxxpwd.h